@import '~antd/es/style/themes/default.less';

html,
body,
#root {
  height: 100%;
}

.colorWeak {
  filter: invert(80%);
}

.ant-layout {
  min-height: 100vh;
}

canvas {
  display: block;
}

body {
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

ul,
ol {
  list-style: none;
}

@media (max-width: @screen-xs) {
  .ant-table {
    width: 100%;
    overflow-x: auto;
    &-thead > tr,
    &-tbody > tr {
      > th,
      > td {
        white-space: pre;
        > span {
          display: block;
        }
      }
    }
  }
}

// 兼容IE11
@media screen and(-ms-high-contrast: active), (-ms-high-contrast: none) {
  body .ant-design-pro > .ant-layout {
    min-height: 100vh;
  }
}

.antd-pro-pages-empty-page-index-main {
  background: #fff;
}

.ant-menu.ant-menu-dark .ant-menu-item-selected, .ant-menu-submenu-popup.ant-menu-dark .ant-menu-item-selected {
  background-color: #021e3a;
}

.ant-pro-basicLayout-content {
  position: relative;
  margin: 24px;
  transition: all 0.2s;
  width: 78%;
  margin: 0 auto;
  margin-top: 40px;
}

@media screen and (max-width: 1300px) {
  .ant-pro-basicLayout-content {
    position: relative;
    margin: 24px;
    transition: all 0.2s;
    width: 90%;
    margin: 0 auto;
    margin-top: 40px;
  }
}

.ant-btn-green {
  color: #fff;
  background-color: #73d13d;
  border-color: #73d13d;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}
.ant-btn-green:hover {
  color: #fff;
  background-color: #95de64;
  border-color: #95de64;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}
.ant-btn-green:focus {
  color: #fff;
  background-color: #95de64;
  border-color: #95de64;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}

.ant-btn-gold {
  color: #fff;
  background-color: #faad14;
  border-color: #faad14;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}
.ant-btn-gold:hover {
  color: #fff;
  background-color: #ffc53d;
  border-color: #ffc53d;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}
.ant-btn-gold:focus {
  color: #fff;
  background-color: #ffc53d;
  border-color: #ffc53d;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.12);
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.045);
}
